import javax.swing.text.EditorKit;
import java.net.URL;
import java.util.*;
import java.io.*;
import java.awt.*;
import javax.swing.event.*;
import javax.swing.*;
import javax.swing.text.html.*;
import java.awt.event.ActionEvent;
import java.awt.event.*;
/** This class is used to implement the Help Menu for displaying help
 *
 * @author Johnny John
 * @version 1.1
 * @see JFrame
 */
public class HTMLDisplay extends JFrame {

     /** Creates the HTML display object
      * @param s the url
      * @param t  
      */
     HTMLDisplay(String s, String t) {
        JEditorPane jep = new JEditorPane();
        jep.setEditable(false);   
        EditorKit htmlKit = jep.getEditorKitForContentType("text/html");
        HTMLDocument doc = (HTMLDocument) htmlKit.createDefaultDocument();
        jep.setEditorKit(htmlKit);
     
        try {
            //URL u = new URL(s);
		URL u = new URL ("file", "localhost", s);
            //InputStream in = u.openStream();
            //jep.read(in, doc);
            jep.setPage(u);
        }
        catch (Exception e) {
            System.err.println(e);
        } 
      
        JScrollPane scrollPane = new JScrollPane(jep);     
        JFrame f = new JFrame(t);
        f.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
        f.getContentPane().add(scrollPane);
        f.setSize(700, 700);
        f.setVisible(true);
     }
}
