
import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.text.*;
import javax.swing.table.*;
import java.awt.geom.*;

/** HelpMenuOp
 *  This class will implement all the functions for the help menu
 *
 *  @author Serey Lay
 *  @version 1.1
 */
public class HelpMenuOp
{
    UMSpreadSheet m_spreadsheet;
    UMTableModel m_model;
    JOptionPane m_pane;
    JDialog m_dialog;
    int m_t = 2;
    
    /** This constructs the HelpMenuOp and set the parent applications
     * @param the spreadsheet
     */
    public HelpMenuOp(UMSpreadSheet spreadsheet)
    {
	m_spreadsheet = spreadsheet;
        m_model = spreadsheet.getTableModel();
    }

    /** Function called just to create the about box with the information
     *
     */
    public void aboutBox() {
        String message =
	"<html><font size=2 color=black><p><font size=+1 color=blue><b>Terp Spreadsheet</b></font> Version 2.0</p>"+
	"<p><p>a product of the CMSC435 "+
	"<p><p><font color=green><b>Credits:</b><font></p>"+
	"<ul><li>Hannon, Patrick Michael</li><li>Husain, Nora Fatima</li><li>John, Johny</li>"+
	"<li>Kalelkar, Amar Arun</li><li>Koo, Ricky S</li>" + 
        "<li>Lam, Alvin</li><li>Lay, Serey</li></ul></p>"+
	"<p>mailto:terpspreadsheet@cs.umd.edu</p></u></font></font>";

        JOptionPane.showMessageDialog(m_spreadsheet,message,
                                      "About TerpSpreadsheet",
                                      JOptionPane.INFORMATION_MESSAGE);
        
    }

    /** Creates the display menu
     * 
     */
    public void displayUserManual()
    {
	    //new HTMLDisplay("http://www.wam.umd.edu/~am43509/ss.htm","TerpOffice TerpSpreadsheet v2.0 Online User Manual");
    	    new HTMLDisplay("help.html","TerpOffice TerpSpreadsheet v2.0 Online User Manual");

    }
}
